* {
  padding: 0;
  margin: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}
body {
  margin: 0 auto;
  text-align: center;
}
ul {
  list-style: none;
}
.flex {
  padding: 15px;
  display: flex;
  justify-content: center;
  gap: 10px;
}
.modal {
  background-color: rgba(0, 0, 0, 0.7);
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  animation: bg-transition 1s;
}
@keyframes bg-transition {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.modal-container {
  background-color: white;
  position: relative;
  width: 882px;
  padding: 20px;
  animation: zoom 1s;
}
@keyframes zoom {
  from {
    scale: 0;
  }
  to {
    scale: 1;
  }
}
.modal-header {
  position: absolute;
  top: 0;
  left: 95%;
}
.modal-body {
  display: flex;
  text-align: start;
  gap: 25px;
}
.movie-info-section {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}
.movie-info-list {
  display: flex;
  flex-wrap: wrap;
  gap: 15px;
}
.display-none {
  display: none;
}
.info-items ul {
  display: flex;
  gap: 50px;
}
.info-items__subtitle {
  width: 91px;
}
.btn-list {
  display: flex;
  gap: 25px;
}
.btn {
  padding: 13px;
  width: 136px;
  border-radius: 5px;
  font-size: 12px;
  font-weight: 500;
}
.btn-flex {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}
.btn-primary {
  background-color: #ff6b01;
  border: 2px solid transparent;
  color: white;
}
.btn-primary:hover {
  cursor: pointer;
  background-color: white;
  color: black;
  border: 2px solid black;

  transition: background-color 2s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.btn-white {
  background-color: white;
  color: black;
}
.btn-white:hover {
  cursor: pointer;
  background-color: #ff6b01;
  color: white;
  border: 2px solid transparent;
  transition: background-color 2.5s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.btn-svg {
  width: 25px;
  background-color: transparent;
  border-radius: 50px;
  border-color: transparent;
}
.btn-svg:hover {
  cursor: pointer;
  fill: #ff6b01;
  transition: fill 1s cubic-bezier(0.075, 0.82, 0.165, 1);
}
.info-items__text {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
}
.orange {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  background-color: #ff6b01;
  color: white;
  font-weight: 500;
  border-radius: 5px;
}
.gray {
  display: flex;
  align-items: center;
  justify-content: center;

  width: 36px;
  background-color: gray;
  font-weight: 500;
  border-radius: 5px;
}
